# Interface Signature.ThrowableSig

All Superinterfaces:
  `Signature`

All Known Subinterfaces:
  `Signature.ClassTypeSig, Signature.TypeVarSig`

Enclosing interface:
  `Signature`

public static sealed interface Signature.ThrowableSig extends Signature permits Signature.ClassTypeSig, Signature.TypeVarSig
Marker interface for a signature for a throwable type.

See Java Language Specification:
  8.4.6 Method Throws
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Sealed Class Hierarchy Graph:
Since:
  24

## Nested Class Summary

### Nested classes/interfaces declared in interface Signature

`Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`
Modifier and Type
Interface
Description
`static interface`
`Signature.ArrayTypeSig`
Models the signature of an array type.
`static interface`
`Signature.BaseTypeSig`
Models the signature of a primitive type (JLS 4.2) or void.
`static interface`
`Signature.ClassTypeSig`
Models the signature of a possibly-parameterized class or interface type.
`static interface`
`Signature.RefTypeSig`
Models the signature of a reference type, which may be a class, interface, type variable, or array type.
`static interface`
`Signature.ThrowableSig`
Marker interface for a signature for a throwable type.
`static interface`
`Signature.TypeArg`
Models a type argument, an argument to a type parameter.
`static interface`
`Signature.TypeParam`
Models a signature for a type parameter of a generic class, interface, method, or constructor, which introduces a type variable.
`static interface`
`Signature.TypeVarSig`
Models the signature of a type variable.

## Method Summary

### Methods declared in interface Signature

`signatureString`
Modifier and Type
Method
Description
`String`
`signatureString()`
Returns the raw signature string.